.cookie {
    position: fixed;
    box-sizing: border-box;
    background-color: #FFF;
    z-index: 200;
    pointer-events: all;
    max-height: 100%;
    opacity: 1;
    color : #000;
    line-height: 1.2;
    box-shadow: 0 0 22px rgba(0, 0, 0, 0.1);
}
.cookie--content {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.cookie--icon {
    margin-bottom: 42px;
}
.cookie--title {
    font-weight: 600;
    font-size: 1.24rem;
}
.cookie--text {
    font-weight: 300;
    margin-top: 28px;
    text-align: center;
    text-wrap: balance;
    line-height: 1.6;
}
.cookie--directive {
    font-weight: 300;
    margin-top: 16px;
    text-align: center;
}
.cookie--text a {
    text-decoration: underline;
}
.cookie--actions {
    margin-top: 50px;
    display: flex;
}
.cookie--link {
    margin-top: 35px;
    font-weight: 300;
    text-decoration: underline;
}
.cookie--list {
    width: 100%;
    margin-top: 55px;
    padding: 0 40px;
    box-sizing: border-box;
    border: 1px solid var(--border)
}
.cookie--list-entry {
    display: flex;
    align-items: flex-start;
    padding: 26px 0;
}
.cookie--list-entry:not(:first-child) {
    border-top: 1px solid var(--border)
}
.cookie--list-text {
    margin-left: 16px;
}
.cookie--list-checkbox {
    margin-top: 2px;
}
.cookie--list-name {
    font-weight: 600;
}
.cookie--list-description {
    font-weight: 300;
    font-size: 0.9rem;
    margin-top: 3px;
}

@media (min-width: 0px) {

    .cookie {
        width: 100%;
        bottom: 0;
        right: 0;
        padding: 50px 30px;
        border-radius: 0;
        overflow-y: scroll;
    }
    .cookie--icon {
        width: 60px;
    }
    .cookie--text {
        font-size: 0.9rem;
    }
    .cookie--directive {
        font-size: 0.9rem;
    }
    .cookie--button {
        width: 100%;
        font-size: 0.75rem;
    }
    .cookie--alt-button {
        margin-bottom: 12px;
    }
}

@media (min-width: 860px) {

    .cookie {
        width: 500px;
        bottom: 50px;
        right: 50px;
        padding: 50px;
        border-radius: 0;
        overflow-y: initial;
    }
    .cookie--text {
        font-size: 1rem;
    }
    .cookie--directive {
        font-size: 1rem;
    }
    .cookie--icon {
        width: 90px;
    }
    .cookie--button {
        width: initial;
        font-size: 0.75rem;
    }
    .cookie--alt-button {
        margin-bottom: 0px;
    }
}